Bug 1628147 - Not backward compatible change in uwsgi-plugin-python package name
Summary: Not backward compatible change in uwsgi-plugin-python package name
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora EPEL
Classification: Fedora
Component: uwsgi
Version: epel7
Hardware: x86_64
OS: Linux
unspecified
medium
Target Milestone: ---
Assignee: Jorge Gallegos
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-09-12 11:40 UTC by Benjamin Allot
Modified: 2020-05-13 06:37 UTC (History)
2 users (show)

Fixed In Version: uwsgi-2.0.18-7.el7
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2020-05-13 06:37:48 UTC
Type: Bug


Attachments (Terms of Use)
Patch to provides the old package name (400 bytes, patch)
2018-09-12 12:22 UTC, Benjamin Allot
no flags Details | Diff
Git patch for Provides issues and startup issues (6.95 KB, patch)
2018-09-25 17:46 UTC, Benjamin Allot
no flags Details | Diff

Description Benjamin Allot 2018-09-12 11:40:38 UTC
Description of problem:
Until Monday 11th September 2018, the package uwsgi-plugin-python existed.
Due to a change in policy, the new name is now uwsgi-plugin-python2.

However, as stated on this page https://fedoraproject.org/wiki/Changes/Rename_Python2_Subpackages , the change should be backward compatible, which is not the case

Version-Release number of selected component (if applicable):
2.0.17.1

How reproducible:
Always

Steps to Reproduce:
1. docker run --rm -ti centos:7
2. yum install -y epel-release
3. yum install -y uwsgi-plugin-python

Actual results:
[root@da8c063decec /]# yum install uwsgi-plugin-python
Loaded plugins: fastestmirror, ovl
Loading mirror speeds from cached hostfile
 * base: centos.crazyfrogs.org
 * epel: epel.mirror.wearetriple.com
 * extras: centos.quelquesmots.fr
 * updates: centos.mirror.ate.info
No package uwsgi-plugin-python available.
Error: Nothing to do


Expected results:
[root@da8c063decec /]# yum install uwsgi-plugin-python
Loaded plugins: fastestmirror, ovl
Loading mirror speeds from cached hostfile
 * base: centos.crazyfrogs.org
 * epel: epel.mirror.wearetriple.com
 * extras: centos.quelquesmots.fr
 * updates: centos.mirror.ate.info
Resolving Dependencies
--> Running transaction check
---> Package uwsgi-plugin-python2.x86_64 0:2.0.17.1-1.el7 will be installed
--> Processing Dependency: uwsgi-plugin-common = 2.0.17.1-1.el7 for package: uwsgi-plugin-python2-2.0.17.1-1.el7.x86_64
--> Running transaction check
---> Package uwsgi-plugin-common.x86_64 0:2.0.17.1-1.el7 will be installed
--> Processing Dependency: uwsgi = 2.0.17.1-1.el7 for package: uwsgi-plugin-common-2.0.17.1-1.el7.x86_64
--> Running transaction check
---> Package uwsgi.x86_64 0:2.0.17.1-1.el7 will be installed
--> Processing Dependency: libyaml-0.so.2()(64bit) for package: uwsgi-2.0.17.1-1.el7.x86_64
--> Processing Dependency: libjansson.so.4()(64bit) for package: uwsgi-2.0.17.1-1.el7.x86_64
--> Running transaction check
---> Package jansson.x86_64 0:2.10-1.el7 will be installed
---> Package libyaml.x86_64 0:0.1.4-11.el7_0 will be installed
--> Finished Dependency Resolution

Dependencies Resolved

=======================================================================================================================
 Package                              Arch                   Version                        Repository            Size
=======================================================================================================================
Installing:
 uwsgi-plugin-python2                 x86_64                 2.0.17.1-1.el7                 epel                  79 k
Installing for dependencies:
 jansson                              x86_64                 2.10-1.el7                     base                  37 k
 libyaml                              x86_64                 0.1.4-11.el7_0                 base                  55 k
 uwsgi                                x86_64                 2.0.17.1-1.el7                 epel                 369 k
 uwsgi-plugin-common                  x86_64                 2.0.17.1-1.el7                 epel                  53 k

Transaction Summary
=======================================================================================================================
Install  1 Package (+4 Dependent packages)

Total download size: 592 k
Installed size: 1.3 M
Is this ok [y/d/N]:

Additional info:

Comment 1 Benjamin Allot 2018-09-12 12:05:03 UTC
As it can be confusing the expected results is that the command

"yum install uwsgi-plugin-python"

successfully runs, which isn't the case anymore after the release.

Comment 2 Benjamin Allot 2018-09-12 12:22:49 UTC
Created attachment 1482649 [details]
Patch to provides the old package name

This is a proposed patch to enable the backward compatibility

Comment 3 Carl George 2018-09-12 17:55:52 UTC
The rename was intentional, it was part of https://src.fedoraproject.org/rpms/uwsgi/pull-request/4.  Even though nothing in Fedora or EPEL requires the old name, I agree that it would be preferred to provide the old name for compatibility.  I'm doing some refactoring of the spec file to comply with https://fedoraproject.org/wiki/Changes/Mass_Python_2_Package_Removal, so I'll make sure to add the virtual provides with those changes and include it in the next release.

Comment 4 Benjamin Allot 2018-09-25 17:45:43 UTC
After some investigation, I also found out that uwsgi start is suffering permission denied issues on both systemd and non systemd distributions.

I fixed both the Provides issues and this one in the patch rbhz1628147.patch attached.

Regards,

Comment 5 Benjamin Allot 2018-09-25 17:46:57 UTC
Created attachment 1486848 [details]
Git patch for Provides issues and startup issues

Comment 6 Fedora Update System 2020-04-23 17:22:32 UTC
FEDORA-EPEL-2020-02989f49f3 has been submitted as an update to Fedora EPEL 7. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2020-02989f49f3

Comment 7 Fedora Update System 2020-04-25 03:19:45 UTC
FEDORA-EPEL-2020-02989f49f3 has been pushed to the Fedora EPEL 7 testing repository.

You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2020-02989f49f3

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 8 Fedora Update System 2020-04-27 21:22:59 UTC
FEDORA-EPEL-2020-db884c4546 has been submitted as an update to Fedora EPEL 7. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2020-db884c4546

Comment 9 Fedora Update System 2020-04-28 04:47:33 UTC
FEDORA-EPEL-2020-db884c4546 has been pushed to the Fedora EPEL 7 testing repository.

You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2020-db884c4546

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 10 Fedora Update System 2020-05-13 06:37:48 UTC
FEDORA-EPEL-2020-db884c4546 has been pushed to the Fedora EPEL 7 stable repository.
If problem still persists, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.